![title]
无线能源系统

![brief]

![content]
虚能作为一种新型能源，具有可无线传导的特性，善加利用这种能源可为生活带来不少益处。其单位为虚通量IF。

在我们的世界中，所有机器已全部连入无线能源系统，原有的有线网络已被抛弃。同样，我们提供给你的机器也利用的是无线能源系统，如果不知道如何使用无线能源系统，就无从谈起使用机器，更不要说开发能力了。

系统由两种不同形态的结构组成：以__节点__为核心的__频道__，和以__矩阵__为核心的__网络__。在介绍这两种网络的同时，也会附带有对这两种机器的说明。

# 频道

频道是一种较小型的无线能源网络，也是组成大型无线能源网络的基础单位。一个频道以一个节点为核心，其他机械作为附属构成。

## 节点

无线虚能节点有三种：基础，改良与高级。随着等级的提升，合成价格随之提升，但带来的性能的改变也是显而易见的。

节点有以下几种功能：存储虚能，等级越高，可存储能量越多；连接机械并在机械间传输虚能，等级越高，可连接的机械就越多，可连接距离也越远。

节点作为频道的核心，节点的信息即代表整个频道的信息。在节点操作界面的右侧，图表下方有节点的信息，设置完成后按下回车即可重设整个频道的信息，让你更好识别和保护属于自己的频道。但即便不设置，节点也会以Unnamed的名称和无密码的状态运行。

节点信息的更改只能由其拥有者（即放置者）完成，拥有者的名称会在右侧显示。

## 频道的构建

频道由节点和机械组成，下面是如何将机械连接到节点以组成频道的。

在机械的操作界面左侧，有两个小的方形按钮。打开第二个带有WiFi标志的按钮，便是机械连接到节点的界面。选择你想连接到的节点，有密码的话输入密码，然后点击后方的链接按钮即可连接。断开连接的话只要点击上方的断开连接按钮即可。当然，使用数据终端中的频率变送器也可以实现这一功能。打开频率变送器后先右击节点，再右击机器，即可顺利连接。

在频道内，能量的流动具有方向性，即由产生虚能的能量发生机流向需要虚能的机械，节点在其中起到协调并转运的功能。

# 网络

网络全称是大型无线能源网络，由矩阵和频道组成。一个网络以一个矩阵为核心，节点构成的频道作为附属。

## 矩阵

无线虚能矩阵由三个部分组成：矩阵本体、矩阵核心和束能金属板，矩阵核心和束能金属板放置在矩阵本体内。

矩阵核心分为三种：基础、改良和高级。同节点一样，等级越高，性能越好，价格越高。

矩阵的作用是连接节点，在节点间传输能量。因此对于矩阵来说，有三种数据来衡量它的性能：负载/带宽和距离。而这三种数据都是取决于矩阵核心的等级。

束能金属板的作用则是限制能量方向，如果没有3块金属板来限制能量的传输的话，矩阵是完全无法运行的。

与节点相同，在矩阵的操作界面右侧下方有矩阵初始化信息，设置完成并点击INIT按钮确认后即可初始化完成。与节点不同，矩阵必须进行初始化后才能运行。

同样，初始化或信息的更改也只能由拥有者完成。

## 网络的构建

网络由矩阵和频道组成，下面是如何将频道链接到矩阵以组成网络的。

前面说过，节点是频道的核心，因此连接频道的行为是在节点与矩阵间进行。在节点的左侧有与机器相同的两个按钮，同样，第二个界面是选择矩阵界面。操作方式与机器连接节点相同，在这里不再详细叙述。

能量会在矩阵的协调下在各个节点间流动，直到能量达到平衡状态（每个节点内能量占其总容量的比例相等）时停止。

P.S.频道是可以脱离网络单独运行的，也就是说，在初期资源匮乏的情况下只需要一个节点即可，矩阵并不是必需品。

