en_US
=====

## Features

* A newly-forged ability category: Vector Manipulation!
* Media Player App: Added volume edit & track customization
* A complete UI rework on all blocks, featuring a more cool and uniform interface
* Added Ability Induction Factor: An dungeon-generated item that allows one to change category

## Enhancements

### Major

* Completely rewrite network synchronization logic on many places, improve network performance.
* Provide better description of what perks do
* Lowered level requirement of perk 'Mind Course' and 'Advanced Mind Course'.
* Improved usage permission for Matrix and Node: Only placers can rename/change password for now.
* Added optional password validation for nodes.
* Add skill using status display for Key Hint UI: It will give you hint when to release a skill now.
* Add UI for Solar Generator.
* Change the way of recording Cooldown to avoid some problems.
* Add ic2 support to Current Charging of Electromaster.
* Rewrite the tutorial, rename to MisakaCloud Terminal.
* Improve Magnet Manipulation of Electromaster, now it has sound effect.

### Minor

* Holding V will cause CP Bar to display numerical CP and Overload data.
* Added special player kill chat text for skills
* Using `/aim` command in Creative Mode doesn't force you to set `/aim cheats_on` anymore
* Ores will now spawn in overworlds of multi-world plugins normally.
* Add return the result of using coin. (open this feature in Data Terminal)
* Change the way to calculate overload.
* CP bar now fades when overload to indicate ability unavailable.
* Add **Font Customize**, find it in cfg file.
* Stop BGM when open Media Player.
* Add explanation about required level to learn skills.
* Now the CP recover rate is tripled.
* Improved appearance of Imag Phase Generator.
* Update the texture of Portable Developer.

## Bugfixes

* Fix perks automatically learned when using skills, and perks potentially not working.
* Fix Ability Developer block causing memory overflow in server environment.
* Fix Metal Former's mode being reset on world/chunk reload (#261, #291)
* Fix coin doubling after throw (#255)
* Fix crystal ores don't support Fortune Enhancement (#263)
* Fix Flashing skill causing dangling ghosts in world (#285)
* Fix crash made by Media Player.
* Fix UI disappearance problem caused by NEI.
* Fix logic error when close Frequency Transmitter. (#270)
* Fix crash caused by ThermalFoundation. (#294)
* Fix problems when shift-clicking slots.
* Fix abnormal energy conversion rate.
* Fix problems with Flashing.
* Fix cannot add white list into Ability Interferencer
* Fix anime of node connection.
* Fix problems with overload. Now the system will absort the skill when overload.
* Fix wireless machine cannnot connect to node with password.
* Fix cannot perform some skills.
* Fix skill key deadlock when the player reborn.
* Fix crash caused by Location Teleport.
* Fix some skill still active after release key.
* Fix some skills destroy blocks even when the option is turned off.
* Fix abnormal visual length of Ray Barrage.
* Fix most server crash caused by skills.
* Fix damage caused by Magnet Movement.
* Fix Current Charging doesn't stop after CP bar is empty.
* Fix Data Terminal GUI doesn't update after installing App.
* Fix crash when running with Shadersmod.
* Improved ticking algorithm of wireless network.
* Fix wrong connection among Nodes and Matrix.
* Fix wrong visual effect of Matrix and Wind Generator.
* Fix crash when try to get items from fusor.
* Fix wrong energy consuming in Imag Phase Generator.
* Fix small problem about memory leaks.
* Fix node cannot display network situation correctly.
* Fix RF support.
* Fix lots of problems caused by cooldown system. (#310)
* Fix Meltdowner can't be used in server. (#309)

zh_CN
=====

## 特性添加

* 新能力系：矢量操作！
* 媒体播放器App：添加音量编辑和自定义音轨功能
* 对机器方块部分的完全UI重置，带来更加酷炫和易用的界面
* 添加了能力诱导因子：一个地牢生成的物品，允许玩家在获得能力后更换能力系。

## 功能改进

### 主要

* 重写了大部分的网络同步逻辑，提高了网络性能。
* 为被动能力的效果提供了更好的说明。
* 降低了“大脑训练课程”和“高级大脑训练课程”的学习等级需求。
* 改进了矩阵和节点的使用权限：现在只有放置者可以更改其名称和密码。
* 为无线节点添加了可选的密码验证。
* 在键位提示UI处添加了技能状态指示：你可以通过图标的状态查看技能的蓄力/释放情况。
* 现在CD会在服务端计算。修正了重进服务器CD重置等一系列的问题。

### 次要

* 长按技能激活键会让CP指示条显示CP和过载的数值。
* 添加了技能的击杀提示。
* 在创造模式使用`/aim`技能不会再强制要求你开启`/aim cheats_on`了。
* 在多世界插件的情况下，应该也可以正常生成矿物了。
* 抛硬币现在可以返回硬币结果。（在数据终端设置里开启）
* 调整了过载的计算逻辑。
* CP条在过载回复时颜色会减淡，以提示玩家无法使用。
* 添加了**字体自定义**功能。可以在cfg中找到相关选项。
* 添加了所有GUI的本地化文字。
* 媒体播放器开始播放时，会停止MC的背景音乐。
* 开发机和技能树app的图片显示会加以区分。
* 改进了玩家能力经验条的显示，并且添加了文字说明。
* 添加了技能的需求等级说明。
* CP回复速度提高为原来的3倍。
* 稍稍调整了虚相发电机的外观。
* 更新了便携开发机的材质以同步最新UI。

## Bug修复

* 修复了被动能力自动被学习，以及无效的情况
* 修复了能力开发机在多人环境下导致内存溢出
* 修复了金属处理机在世界/区块重新加载时模式被重置 (#261, #291)
* 修复了硬币在丢出后无法和原来的堆叠 (#255)
* 修复了某些矿物不支持时运附魔 (#263)
* 修复了高速闪现技能使用后留下人影 (#285)
* 修复媒体播放器在游戏环境崩溃
* 修复NEI挡住UI部分区域
* 添加电气使系名中文lang
* 修复频率变送器的退出的逻辑错误（#270）
* 修复和ThermalFoundation一起安装时崩溃（#294）
* 修复了和Shift点击槽位判断相关的一系列问题
* 修复了能源传输速率高于标称值的问题
* 修复了高速闪现技能的一系列错误，包括一直没成功修复的人影问题
* 修复了能力干涉方块无法添加玩家
* 修复了节点连接状态的动画
* 修复了技能过载时的一系列触发机制。在过载时会结束蓄力技能和特殊技能
* 修复了无线用电器无法连接到加密的节点
* 修复了电磁炮等技能无法释放的问题
* 修复了玩家死亡后重生，技能按键仍然未被释放
* 修复了坐标传送导致崩溃
* 修复了部分技能在松开按键后仍然继续运行（显示cp消耗提示）
* 修复了冷却相关的一些问题
* 修复了在技能树UI中，没学习技能时也会提示输入learn指令
* 修复了某些技能不受destroyBlocks选项的影响
* 修复了原子崩坏系散射光束雨技能当没打到半导体时光束长度计算不正确
* 修复了绝大部分技能适用造成服务端崩溃的问题
* 修复了磁场移动带来奇怪的掉落伤害
* 修复电流回充在CP消耗完毕后不停止
* 修复了在打开数据终端时安装app，数据终端页面不会更新
* 修复了和光影同时打开的崩溃
* 调整了无线网的算法，修复了破坏方块后连接信息扔驻留的问题
* 搜索无线网时，不会显示无法连接到的节点/矩阵
* 提高了一些方块的同步距离，解决了矩阵金属板不显示和风力风扇不显示的问题
* 修复了磁场操作自杀和崩溃
* 修复了从熔炉拿出来一些mod内物品时崩溃
* 修复了虚相发电机空转（不工作但消耗能量）
* 修复了一些小的内存泄露问题
* 修复了节点方块没有正确的显示网络状态
* 修复了一些特效的显示细节
* 修复了电流回充技能对RF能源方块的支持
* 修复了冷却系统相关的许多问题。(#310)
* 修复了矢量操控在混淆环境中不正常工作的问题。 (#311)
* 修复了服务端无法使用原子崩坏。 (#309)
